@import '../abstracts/variables';
@import '../abstracts/wp-core';
@import '../abstracts/mixins';

.components-range-picker__buttons {
  max-width: $sidebar-width - ( 2 * $panel-padding );
  display: flex;
  justify-content: unst;
  align-items: center;

  // Apply the same height as the isSmall Reset button.
  .components-range-control__number {
    height: 30px;
    margin-left: 1rem;

    // Show the reset button as disabled until a value is entered.
    &[value=""] + .components-button {
      cursor: default;
      opacity: 0.3;
      pointer-events: none;
    }
  }
}

.components-range-picker__custom-input {
  .components-range-control__slider + .dashicon {
    width: 30px;
    height: 30px;
  }
}

.components-range-picker__dropdown-content .components-button {
  display: block;
  position: relative;
  padding: 10px 20px 10px 40px;
  width: 100%;
  text-align: left;

  .dashicon {
    position: absolute;
    top: calc(50% - 10px);
    left: 10px;
  }

  &:hover {
    @include menu-style__hover;
  }

  &:focus {
    @include menu-style__focus;
  }
}

.components-range-picker__buttons .components-range-picker__selector {
  border: 1px solid;
  background: none;
  position: relative;
  width: 110px;

  @include input-style__neutral();

  &:focus {
    @include input-style__focus();
  }

  &::after {
    @include dropdown-arrow();
    right: 8px;
    top: 12px;
    position: absolute;
  }
}

